<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_ActivityRemarks StructType
 * @subpackage Structs
 */
class Get_ActivityRemarks extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The ActivityRemarkSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\ActivityRemarkSelection
     */
    public $ActivityRemarkSelection;
    /**
     * Constructor method for Get_ActivityRemarks
     * @uses Get_ActivityRemarks::setLogin()
     * @uses Get_ActivityRemarks::setActivityRemarkSelection()
     * @param \StructType\Login $login
     * @param \StructType\ActivityRemarkSelection $activityRemarkSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\ActivityRemarkSelection $activityRemarkSelection = null)
    {
        $this
            ->setLogin($login)
            ->setActivityRemarkSelection($activityRemarkSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_ActivityRemarks
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get ActivityRemarkSelection value
     * @return \StructType\ActivityRemarkSelection|null
     */
    public function getActivityRemarkSelection()
    {
        return $this->ActivityRemarkSelection;
    }
    /**
     * Set ActivityRemarkSelection value
     * @param \StructType\ActivityRemarkSelection $activityRemarkSelection
     * @return \StructType\Get_ActivityRemarks
     */
    public function setActivityRemarkSelection(\StructType\ActivityRemarkSelection $activityRemarkSelection = null)
    {
        $this->ActivityRemarkSelection = $activityRemarkSelection;
        return $this;
    }
}
